# ClimateModels.jl

This package provides a uniform interface to climate models of varying complexity and completeness. Models that range from low dimensional to whole Earth System models can be run and/or analyzed via this framework. 

It also supports e.g. cloud computing workflows that start from previous model output available over the internet. Version control, using _git_, is included to allow for workflow documentation and reproducibility.

Please look at [Examples](@ref examples) and [Manual](@ref manual) for more detail.

!!! note

    This package is still in early development stage. Breaking changes remain likely.
    
## Package Features

- Climate Model Interface
- Tracked Worklow Framework
- Cloud + On-Premise File Support

## [Table Of Contents](@id main-contents)

```@contents
Pages = [
    "functionalities.md",
    "examples.md",
]
Depth = 2
```

## JuliaCon 2021 Presentation

[![Screen Shot 2021-08-31 at 2 25 04 PM](https://user-images.githubusercontent.com/20276764/131556274-48f3df13-0608-4cd0-acf9-c3e29894a32c.png)](https://youtu.be/XR5hKCja0uw)
